Subject: Re: Comments on draft-ietf-ipdvb-ar-03.txt

From: Gorry Fairhurst <[email-masked]>
Date: Fri, 02 Jun 2006 21:16:21 +0100

Martin, other people on the list.

Thank you very much for the feedback, your comments are useful and I have
included responses on individual points in-line.

The biggest issue is exactly as you say. This document now reads more like a
BCP on how IP AR relates to MPEG-2, and less of a framework document, as
chartered (in the IETF frameworks are most often a type of requirements
document). I'd be most happy to receive opinions on this: Does anyone in the
WG have thoughts on what could/should be added/changed?

As one of the authors, it seems we may have used all the material we have.
If anyone else believes they have an interest and energy to participate in
taking this work forward, please do let us know quickly, so that we can
shape the document appropriately!

Gorry

On 31/5/06 15:39, "Martin Stiemerling" <[email-masked]> wrote:

> Dear All,
> 
> I have read the draft Address Resolution for IP Datagrams over
> MPEG-2 Networks (draft-ietf-ipdvb-ar-03.txt) and got to some
> questions.
> 
> Some nits:
> -  In Section 6.2, 6.3, and 6.4 it reads that the Ethernet Type
> (EtherType) is
>     IANA assigned. This is IMO wrong, since the Ethernet Types are
> allocated
>     by the IEEE. IANA only maintains a list of used (or once seen) types
>     (http://www.iana.org/assignments/ethernet-numbers).
> 
Indeed, we shall address this in the next rev.

> - The section heading of 5.1 is too long, i.e., it is wrapped into
> two lines.
> 
> - I assume the document should be the part on Submit AR Framework to
>    IESG of the WG charter. If so, it would be good if the document
> title or
>    the introduction would reflect this.
> 
> Overall comments:
> 
> As stated in the above section about nits, I assume the document should
> give the framework of address resolution for IP datagrams over MPEG-2
> networks.
> 
Understood.

> The document gives an excellent overview about the actuall problem
> to be solved and the existing address resolution mechanisms in the IP
> world plus their mapping to MPEG-2 networks. The coverage of not only
> one technology but the inclusion of DVB, ATSC, DOCSIS and the
> respective variants in system tables is very helpful to understand
> the problem space and the trickiness of a fits all solution :-)
> 
> After reading the whole document I have been nevertheless confused
> about it. When reading the title, I would expect a solution and after
> reading the document I did not know what the real conclusion of
> the document is. There are recommendations for the single
> technologies/techniques, which are fully OK, but what would be the
> next steps towards the address resolution solution? Can we reuse
> the existing protocols or do we need to go ahead with a new
> AR protocol (as the WG charter would let assume)?
> 
> Kind Regards,
> 
>      Martin Stiemerling
> 
> NEC Europe Ltd. -- Network Laboratories [email-masked]
> PGP Key at:        http://www.stiemerling.org/stiemerling_nec.gpg
> WWW: http://www.netlab.nec.de
> 
>